Bug 1045157 - [abrt] cinnamon: genericpath.py:29:isfile:TypeError: coercing to Unicode: need string or buffer, NoneType found
Summary: [abrt] cinnamon: genericpath.py:29:isfile:TypeError: coercing to Unicode: nee...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:893c407e81f77b6f9f68ca319a5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-19 18:26 UTC by John Ruiz
Modified: 2014-11-03 10:14 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-03 10:14:33 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (476 bytes, text/plain)
2013-12-19 18:26 UTC, John Ruiz
no flags Details
File: environ (1.21 KB, text/plain)
2013-12-19 18:26 UTC, John Ruiz
no flags Details

Description John Ruiz 2013-12-19 18:26:20 UTC
Description of problem:
I don't know what I did to cause this.  It seemed to just pop-up from the background.

Version-Release number of selected component:
cinnamon-2.0.14-4.fc20

Additional info:
reporter:       libreport-2.1.10
cmdline:        python /usr/lib/cinnamon-desktop-editor/cinnamon-desktop-editor.py -mlauncher -o/home/jar349/.local/share/applications/alacarte-made-f442367a-68d9-11e3-b115-080027241bef.desktop
dso_list:       python-libs-2.7.5-9.fc20.x86_64
executable:     /usr/lib/cinnamon-desktop-editor/cinnamon-desktop-editor.py
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
genericpath.py:29:isfile:TypeError: coercing to Unicode: need string or buffer, NoneType found

Traceback (most recent call last):
  File "/usr/lib/cinnamon-desktop-editor/cinnamon-desktop-editor.py", line 125, in update_icon_preview_cb
    if os.path.isfile(filename):
  File "/usr/lib64/python2.7/genericpath.py", line 29, in isfile
    st = os.stat(path)
TypeError: coercing to Unicode: need string or buffer, NoneType found

Local variables in innermost frame:
path: None

Comment 1 John Ruiz 2013-12-19 18:26:23 UTC
Created attachment 839153 [details]
File: backtrace

Comment 2 John Ruiz 2013-12-19 18:26:25 UTC
Created attachment 839154 [details]
File: environ

Comment 3 Dan Bardin 2014-01-20 21:02:32 UTC
Same issue, came up when trying to edit laucher in favorites panel. 

To replicate: 

Rclick launcher icon (happens for yum, rpm, or self-compiled application) 

Select "Edit"

Lclick icon to bring up Nemo window

While searching the error is typically thrown

If I select a .png from a 3rd party icon pack and apply, it will disappear from the launcher. 

If you then go to Settings --> Theme --> More Settings --> Icons
and go back to defualt or another loaded theme, all the missing icons reappear in the panel applet.

Comment 4 Jan Pool 2014-05-07 19:41:46 UTC
Another user experienced a similar problem:

Error occurred when going to users&groups, adding user, and adding picture to user from /home/<user>/dropbox/
Other then that, don't know what caused it.

reporter:       libreport-2.2.2
cmdline:        python /usr/lib/cinnamon-settings-users/cinnamon-settings-users.py
dso_list:       python-libs-2.7.5-11.fc20.x86_64
executable:     /usr/lib/cinnamon-settings-users/cinnamon-settings-users.py
kernel:         3.14.2-200.fc20.x86_64
package:        cinnamon-2.2.3-3.fc20
reason:         genericpath.py:29:isfile:TypeError: coercing to Unicode: need string or buffer, NoneType found
runlevel:       N 5
type:           Python
uid:            0

Comment 5 Randy Barlow 2014-05-23 14:45:28 UTC
I also don't know what caused this issue, but I wanted to report that it happened to me on Rawhide today as well.

Comment 6 Rob Di Leo 2014-06-01 10:22:00 UTC
Another user experienced a similar problem:

crashed sometime shortly after login

reporter:       libreport-2.2.2
cmdline:        python /usr/lib/cinnamon-desktop-editor/cinnamon-desktop-editor.py -mpanel-launcher -flibreoffice-draw.desktop
dso_list:       python-libs-2.7.5-11.fc20.i686
executable:     /usr/lib/cinnamon-desktop-editor/cinnamon-desktop-editor.py
kernel:         3.14.4-200.fc20.i686+PAE
package:        cinnamon-2.2.7-1.fc20
reason:         genericpath.py:29:isfile:TypeError: coercing to Unicode: need string or buffer, NoneType found
runlevel:       N 5
type:           Python
uid:            1000

Comment 7 Curtis Adkins 2014-06-01 14:57:40 UTC
Another user experienced a similar problem:

Directly after loggin into Cinnamon desktop

reporter:       libreport-2.2.2
cmdline:        python /usr/lib/cinnamon-desktop-editor/cinnamon-desktop-editor.py -mpanel-launcher
dso_list:       python-libs-2.7.5-11.fc20.i686
executable:     /usr/lib/cinnamon-desktop-editor/cinnamon-desktop-editor.py
kernel:         3.14.4-200.fc20.i686
package:        cinnamon-2.2.10-1.fc20
reason:         genericpath.py:29:isfile:TypeError: coercing to Unicode: need string or buffer, NoneType found
runlevel:       N 5
type:           Python
uid:            1000

Comment 8 MediaBusiness 2014-06-30 15:12:43 UTC
Another user experienced a similar problem:

Working on desktop parameters

reporter:       libreport-2.2.2
cmdline:        python /usr/lib/cinnamon-settings-users/cinnamon-settings-users.py
dso_list:       python-libs-2.7.5-12.fc20.x86_64
executable:     /usr/lib/cinnamon-settings-users/cinnamon-settings-users.py
kernel:         3.14.8-200.fc20.x86_64
package:        cinnamon-2.2.13-5.fc20
reason:         genericpath.py:29:isfile:TypeError: coercing to Unicode: need string or buffer, NoneType found
runlevel:       N 5
type:           Python
uid:            0


Note You need to log in before you can comment on or make changes to this bug.